/* -*- Mode: C; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is mozilla.org code.
 *
 * The Initial Developer of the Original Code is
 * Netscape Communications Corporation.
 * Portions created by the Initial Developer are Copyright (C) 1999
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */
/* 
    DO NOT EDIT THIS DOCUMENT !!! THIS DOCUMENT IS GENERATED BY
    mozilla/intl/lwbrk/tools/anzx4501.pl
 */
static const PRUint32 gLBClass00[32] = {
0x55555555, // U+0000 - U+0007
0x55555555, // U+0008 - U+000F
0x55555555, // U+0010 - U+0017
0x55555555, // U+0018 - U+001F
0x88108815, // U+0020 - U+0027
0x11118810, // U+0028 - U+002F
0x66666666, // U+0030 - U+0037
0x11101866, // U+0038 - U+003F
0x88888888, // U+0040 - U+0047
0x88888888, // U+0048 - U+004F
0x88888888, // U+0050 - U+0057
0x88100888, // U+0058 - U+005F
0x88888888, // U+0060 - U+0067
0x88888888, // U+0068 - U+006F
0x88888888, // U+0070 - U+0077
0x88180888, // U+0078 - U+007F
0x88888888, // U+0080 - U+0087
0x88888888, // U+0088 - U+008F
0x88888888, // U+0090 - U+0097
0x88888888, // U+0098 - U+009F
0x88383488, // U+00A0 - U+00A7
0x88888888, // U+00A8 - U+00AF
0x88888881, // U+00B0 - U+00B7
0x88888888, // U+00B8 - U+00BF
0x88888888, // U+00C0 - U+00C7
0x88888888, // U+00C8 - U+00CF
0x88888888, // U+00D0 - U+00D7
0x88888888, // U+00D8 - U+00DF
0x88888888, // U+00E0 - U+00E7
0x88888888, // U+00E8 - U+00EF
0x88888888, // U+00F0 - U+00F7
0x88888888, // U+00F8 - U+00FF
};

static const PRUint32 gLBClass20[32] = {
0x55555555, // U+2000 - U+2007
0x88885555, // U+2008 - U+200F
0x88828888, // U+2010 - U+2017
0x88888888, // U+2018 - U+201F
0x81118888, // U+2020 - U+2027
0x88888888, // U+2028 - U+202F
0x88884444, // U+2030 - U+2037
0x88815888, // U+2038 - U+203F
0x88818888, // U+2040 - U+2047
0x88888888, // U+2048 - U+204F
0x88888888, // U+2050 - U+2057
0x88888888, // U+2058 - U+205F
0x88888888, // U+2060 - U+2067
0x88888888, // U+2068 - U+206F
0x88888888, // U+2070 - U+2077
0x88888888, // U+2078 - U+207F
0x88888888, // U+2080 - U+2087
0x88888888, // U+2088 - U+208F
0x88888888, // U+2090 - U+2097
0x88888888, // U+2098 - U+209F
0x88888888, // U+20A0 - U+20A7
0x88888888, // U+20A8 - U+20AF
0x88888888, // U+20B0 - U+20B7
0x88888888, // U+20B8 - U+20BF
0x88888888, // U+20C0 - U+20C7
0x88888888, // U+20C8 - U+20CF
0x88888888, // U+20D0 - U+20D7
0x88888888, // U+20D8 - U+20DF
0x88888888, // U+20E0 - U+20E7
0x88888888, // U+20E8 - U+20EF
0x88888888, // U+20F0 - U+20F7
0x88888888, // U+20F8 - U+20FF
};

static const PRUint32 gLBClass21[32] = {
0x88888888, // U+2100 - U+2107
0x88888888, // U+2108 - U+210F
0x83888888, // U+2110 - U+2117
0x88888888, // U+2118 - U+211F
0x87888888, // U+2120 - U+2127
0x88888888, // U+2128 - U+212F
0x88888888, // U+2130 - U+2137
0x88888888, // U+2138 - U+213F
0x88888888, // U+2140 - U+2147
0x88888888, // U+2148 - U+214F
0x88888888, // U+2150 - U+2157
0x88888888, // U+2158 - U+215F
0x55555555, // U+2160 - U+2167
0x55555555, // U+2168 - U+216F
0x55555555, // U+2170 - U+2177
0x55555555, // U+2178 - U+217F
0x88888888, // U+2180 - U+2187
0x88888888, // U+2188 - U+218F
0x88888888, // U+2190 - U+2197
0x88888888, // U+2198 - U+219F
0x88888888, // U+21A0 - U+21A7
0x88888888, // U+21A8 - U+21AF
0x88888888, // U+21B0 - U+21B7
0x88888888, // U+21B8 - U+21BF
0x88888888, // U+21C0 - U+21C7
0x88888888, // U+21C8 - U+21CF
0x88888888, // U+21D0 - U+21D7
0x88888888, // U+21D8 - U+21DF
0x88888888, // U+21E0 - U+21E7
0x88888888, // U+21E8 - U+21EF
0x88888888, // U+21F0 - U+21F7
0x88888888, // U+21F8 - U+21FF
};

static const PRUint32 gLBClass30[32] = {
0x55555115, // U+3000 - U+3007
0x10101010, // U+3008 - U+300F
0x10105510, // U+3010 - U+3017
0x11011010, // U+3018 - U+301F
0x55555555, // U+3020 - U+3027
0x55555555, // U+3028 - U+302F
0x55555555, // U+3030 - U+3037
0x55555555, // U+3038 - U+303F
0x15151515, // U+3040 - U+3047
0x55555515, // U+3048 - U+304F
0x55555555, // U+3050 - U+3057
0x55555555, // U+3058 - U+305F
0x55551555, // U+3060 - U+3067
0x55555555, // U+3068 - U+306F
0x55555555, // U+3070 - U+3077
0x55555555, // U+3078 - U+307F
0x15151555, // U+3080 - U+3087
0x51555555, // U+3088 - U+308F
0x55555555, // U+3090 - U+3097
0x51111115, // U+3098 - U+309F
0x15151515, // U+30A0 - U+30A7
0x55555515, // U+30A8 - U+30AF
0x55555555, // U+30B0 - U+30B7
0x55555555, // U+30B8 - U+30BF
0x55551555, // U+30C0 - U+30C7
0x55555555, // U+30C8 - U+30CF
0x55555555, // U+30D0 - U+30D7
0x55555555, // U+30D8 - U+30DF
0x15151555, // U+30E0 - U+30E7
0x51555555, // U+30E8 - U+30EF
0x51155555, // U+30F0 - U+30F7
0x51111555, // U+30F8 - U+30FF
};

static const PRUint32 gLBClass0E[32] = {
0x99999999, // U+0E00 - U+0E07
0x99999999, // U+0E08 - U+0E0F
0x99999999, // U+0E10 - U+0E17
0x99999999, // U+0E18 - U+0E1F
0x99999999, // U+0E20 - U+0E27
0x19999999, // U+0E28 - U+0E2F
0x99999999, // U+0E30 - U+0E37
0x09999999, // U+0E38 - U+0E3F
0x91999999, // U+0E40 - U+0E47
0x89999999, // U+0E48 - U+0E4F
0x66666666, // U+0E50 - U+0E57
0x99991166, // U+0E58 - U+0E5F
0x99999999, // U+0E60 - U+0E67
0x99999999, // U+0E68 - U+0E6F
0x99999999, // U+0E70 - U+0E77
0x99999999, // U+0E78 - U+0E7F
0x99999999, // U+0E80 - U+0E87
0x99999999, // U+0E88 - U+0E8F
0x99999999, // U+0E90 - U+0E97
0x99999999, // U+0E98 - U+0E9F
0x99999999, // U+0EA0 - U+0EA7
0x19999999, // U+0EA8 - U+0EAF
0x99999999, // U+0EB0 - U+0EB7
0x99999999, // U+0EB8 - U+0EBF
0x91999999, // U+0EC0 - U+0EC7
0x99999999, // U+0EC8 - U+0ECF
0x66666666, // U+0ED0 - U+0ED7
0x99999966, // U+0ED8 - U+0EDF
0x99999999, // U+0EE0 - U+0EE7
0x99999999, // U+0EE8 - U+0EEF
0x99999999, // U+0EF0 - U+0EF7
0x99999999, // U+0EF8 - U+0EFF
};

